corda / net.corda.core.contracts / AuthenticatedObject

# AuthenticatedObject

`data class AuthenticatedObject<out T : Any>`

Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.

### Constructors

<init> | `AuthenticatedObject(signers: List<CompositeKey>, signingParties: List<Party>, value: T)` Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.

### Properties

signers | `val signers: List<CompositeKey>`
signingParties | `val signingParties: List<Party>` If any public keys were recognised, the looked up institutions are available here
value | `val value: T`